Loading...
Searching...
No Matches
gsd_label.c File Reference

OGSF library - label management (lower level functions). More...

`#include <grass/gis.h>`
`#include <grass/glocale.h>`
`#include <grass/ogsf.h>`
`#include "rgbpack.h"`
Include dependency graph for gsd_label.c:

Go to the source code of this file.

## Macros

#define | MAX_LIST 20

## Functions

void | gs_put_label (const char *text, GLuint fontbase, int size, unsigned long color, int *pt)
| Put label.
void | gsd_remove_curr (void)
| Remove current label.
void | gsd_remove_all (void)
| Remove all labels from display list.
void | gsd_call_label (void)
| Call display list and draw defined labels – called from gsd_prim (gsd_call_lists).

## Variables

GLuint | label_base
GLuint | label_id

## Detailed Description

OGSF library - label management (lower level functions).

GRASS OpenGL gsurf OGSF Library

(C) 1999-2008 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Bill Brown USACERL (1991-1992)
  Doxygenized by Martin Landa <landa.martin gmail.com> (May 2008)

Definition in file gsd_label.c.

## Macro Definition Documentation

## MAX_LIST

#define MAX_LIST 20

Definition at line 25 of file gsd_label.c.

Referenced by gs_put_label(), gsd_call_label(), and gsd_remove_all().

## Function Documentation

## gs_put_label()

void gs_put_label | ( | const char * | text,
|  | GLuint | fontbase,
|  | int | size,
|  | unsigned long | color,
|  | int * | pt )

Put label.

Todo
  Allocate label dynamically

Parameters

  fontbase | fontbase settings
  size | font size
  color | font color
  pt |

Definition at line 41 of file gsd_label.c.

References b, do_label_display(), G_warning(), gsd_bgn_legend_viewport(), gsd_color_func(), gsd_end_legend_viewport(), gsd_get_txtwidth(), l, label_base, label_id, MAX_LIST, r, t, X, and Y.

## gsd_call_label()

void gsd_call_label | ( | void |  | ) |

Call display list and draw defined labels – called from gsd_prim (gsd_call_lists).

Definition at line 119 of file gsd_label.c.

References label_base, and MAX_LIST.

Referenced by gsd_calllists().

## gsd_remove_all()

void gsd_remove_all | ( | void |  | ) |

Remove all labels from display list.

Definition at line 107 of file gsd_label.c.

References label_base, label_id, and MAX_LIST.

## gsd_remove_curr()

void gsd_remove_curr | ( | void |  | ) |

Remove current label.

Definition at line 94 of file gsd_label.c.

References label_id.

## Variable Documentation

## label_base

GLuint label_base

Definition at line 28 of file gsd_label.c.

Referenced by gs_put_label(), gsd_call_label(), and gsd_remove_all().

## label_id

GLuint label_id

Definition at line 29 of file gsd_label.c.

Referenced by gs_put_label(), gsd_remove_all(), and gsd_remove_curr().